# This spec file was originally generated by Gideon

Name:		gopchop
Version:	1.1.8
Release:	1
License:	GPL
Summary:	MPEG2 GOP-accurate editor
Vendor:		Kees Cook <mpeg2@outflux.net>
Packager:	Olivier Lahaye <lahaye@noos.fr>
Url:		http://outflux.net/software/pkgs/gopchop
Group:		Applications/Multimedia
BuildRoot:	%{_tmppath}/%{name}-root
Source:		%{name}-%{version}.tar.gz
Requires:	gtk2 >= 2.0.0
Requires:	mpeg2dec = 0.4.0
Requires:	libxml2 >= 2.6.6
BuildRequires:	mpeg2dec-devel = 0.4.0
BuildRequires:	gtk2-devel >= 2.0.0
BuildRequires:	libxml2-devel >= 2.6.6
BuildRequires:	gettext

%description
This tool is used for people wanting to take sections out of MPEG2-PS 
files without re-encoding the resulting frames.  The idea is to write 
specific "Group of Pictures" (GOP) sections to a new MPEG2-PS file.  These 
GOPs will decode correctly (in theory), and the gaps won't be noticed.  I 
wrote this tool to edit commercials out of MPEG2 files produced by my 
KFir MPEG2 capture card.  Using this tool for anything else is really beyond
the scope of its design.

%prep
%setup -q

%build
./configure --prefix=%{_prefix} \
            --bindir=%{_bindir} \
            --datadir=%{_datadir} \
            --libdir=%{_libdir} \
            --mandir=%{_mandir} \

CFLAGS="$RPM_OPT_FLAGS" make

%install
rm -rf %{buildroot}
make prefix=%{buildroot}%{_prefix} \
    bindir=%{buildroot}%{_bindir} \
    datadir=%{buildroot}%{_datadir} \
    libdir=%{buildroot}%{_libdir} \
    mandir=%{buildroot}%{_mandir} \
    install

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO INSTALL
%doc %{_mandir}/man1/*

%{_bindir}/*
%{_datadir}/locale/*/*/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog

* Sun Mar 21 2004 Weston Schmidt <schmidtw@users.sourceforge.net> 1.1.3-1
- Added the libxml2 requirement and build requirement.
* Sun Feb 29 2004 Weston Schmidt <schmidtw@users.sourceforge.net> 1.1.2-1
- Added the automatic menu and updated the requirements and build requirements
* Mon Feb 23 2004 Kees Cook <mpeg2@outflux.net> 1.1.2-1
- Fixed build/make/install section
* Fri Feb 13 2004 Kees Cook <mpeg2@outflux.net> 1.1.2-1
- Updated to get built by configure
* Mon Dec 12 2003 Olivier Lahaye <lahaye@noos.fr> 0.9.1-1
- First RPM release.
